
Redmine - Defect #4998

Global issue list's context menu has enabled options for parent menus but there are no valid

selections

2010-03-05 19:34 - Eric Davis

Status: Closed Start date: 2010-03-05

Priority: Low Due date:  

Assignee: Jean-Baptiste Barth % Done: 100%

Category: UI Estimated time: 0.00 hour

Target version: 1.0.2   

Resolution: Fixed Affected version:  

Description

A client brought this bug to my attention.  On the global issues list:

Select two issues on different projects

Right click to trigger the context menu

Some options with a submenu are enabled but the selections are not (Priority, % Done).  e.g. It shows you can change Priority

but doesn't present any values you can select.

Associated revisions

Revision 4059 - 2010-09-03 23:43 - Jean-Baptiste Barth

Do not display items without valid selection in context menu when on different projects. #4998

History

#1 - 2010-03-06 18:29 - Jean-Philippe Lang

- Category changed from Issues to UI

- Priority changed from Normal to Low

#2 - 2010-05-01 19:58 - Alain Alain091

- File issues_controller.rb.patch added

find attached a patch which take into account rights of each project for evaluate the access to actions in menus.

The rule is an AND operation between the rights in each project. If one is false, the entire action is set to false.

#3 - 2010-05-02 10:44 - Alain Alain091

- File issues_controller.rb.patch added

I was impatient to post my modifications

But, if the idea of correction was correct my code contained errors

Here a better patch.

#4 - 2010-05-03 18:35 - Alain Alain091

I think that the correct statment is :

edit = edit && expression

and not edit &= expression

#5 - 2010-08-11 08:11 - Jean-Baptiste Barth

Same here at work on 1.0.0(RC), it's really annoying and should be fixed for 1.0.1 in my opinion. Alain: I'll take a look at your patch.

#6 - 2010-09-03 23:44 - Jean-Baptiste Barth

- Status changed from New to Resolved
- Assignee set to Jean-Baptiste Barth

- Target version set to 1.0.2

- % Done changed from 0 to 100

- Resolution set to Fixed

Alain: your patch is a first step to handle cross-projects issues in context menu, which is a much larger issue (see #5332).

I prefer just hiding those items for the moment, which solves the exact issue Eric reported. It's committed in r4059. We may work on bulk edit later, in 

#5332.

#7 - 2010-09-20 05:51 - Eric Davis

- Status changed from Resolved to Closed

Merged into 1.0-stable for release in 1.0.2

Files

issues_controller.rb.patch 1.99 KB 2010-05-01 Alain Alain091

issues_controller.rb.patch 1.96 KB 2010-05-02 Alain Alain091
